Package org.kapott.hbci.sepa.jaxb.pain_002_003_03

## Class OriginalPaymentInformationSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_003_03.OriginalPaymentInformationSEPA

    public class OriginalPaymentInformationSEPA
    extends java.lang.Object

Java class for OriginalPaymentInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalPaymentInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlPmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}RestrictedIdentificationSEPA1"/>
             <element name="OrgnlNbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}Max15NumericText" minOccurs="0"/>
             <element name="OrgnlCtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}DecimalNumber" minOccurs="0"/>
             <element name="PmtInfSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}TransactionGroupStatusCodeSEPA" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}StatusReasonInformationSEPA" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TxInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PaymentTransactionInformationSEPA" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.math.BigDecimal` `orgnlCtrlSum`
`protected java.lang.String` `orgnlNbOfTxs`
`protected java.lang.String` `orgnlPmtInfId`
`protected TransactionGroupStatusCodeSEPA` `pmtInfSts`
`protected java.util.List<StatusReasonInformationSEPA>` `stsRsnInf`
`protected java.util.List<PaymentTransactionInformationSEPA>` `txInfAndSts`

### Constructor Summary

Constructors
`OriginalPaymentInformationSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `getOrgnlCtrlSum()` Gets the value of the orgnlCtrlSum property.
`java.lang.String` `getOrgnlNbOfTxs()` Gets the value of the orgnlNbOfTxs property.
`java.lang.String` `getOrgnlPmtInfId()` Gets the value of the orgnlPmtInfId property.
`TransactionGroupStatusCodeSEPA` `getPmtInfSts()` Gets the value of the pmtInfSts property.
`java.util.List<StatusReasonInformationSEPA>` `getStsRsnInf()` Gets the value of the stsRsnInf property.
`java.util.List<PaymentTransactionInformationSEPA>` `getTxInfAndSts()` Gets the value of the txInfAndSts property.
`void` `setOrgnlCtrlSum​(java.math.BigDecimal value)` Sets the value of the orgnlCtrlSum property.
`void` `setOrgnlNbOfTxs​(java.lang.String value)` Sets the value of the orgnlNbOfTxs property.
`void` `setOrgnlPmtInfId​(java.lang.String value)` Sets the value of the orgnlPmtInfId property.
`void` `setPmtInfSts​(TransactionGroupStatusCodeSEPA value)` Sets the value of the pmtInfSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlPmtInfId

    protected java.lang.String orgnlPmtInfId

#### orgnlNbOfTxs

    protected java.lang.String orgnlNbOfTxs

#### orgnlCtrlSum

    protected java.math.BigDecimal orgnlCtrlSum

#### pmtInfSts

    protected TransactionGroupStatusCodeSEPA pmtInfSts

#### stsRsnInf

    protected java.util.List<StatusReasonInformationSEPA> stsRsnInf

#### txInfAndSts

    protected java.util.List<PaymentTransactionInformationSEPA> txInfAndSts

### Constructor Detail

#### OriginalPaymentInformationSEPA

    public OriginalPaymentInformationSEPA()

### Method Detail

#### getOrgnlPmtInfId

    public java.lang.String getOrgnlPmtInfId()

Gets the value of the orgnlPmtInfId property.

Returns:
  possible object is `String`

#### setOrgnlPmtInfId

    public void setOrgnlPmtInfId​(java.lang.String value)

Sets the value of the orgnlPmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlNbOfTxs

    public java.lang.String getOrgnlNbOfTxs()

Gets the value of the orgnlNbOfTxs property.

Returns:
  possible object is `String`

#### setOrgnlNbOfTxs

    public void setOrgnlNbOfTxs​(java.lang.String value)

Sets the value of the orgnlNbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlCtrlSum

    public java.math.BigDecimal getOrgnlCtrlSum()

Gets the value of the orgnlCtrlSum property.

Returns:
  possible object is `BigDecimal`

#### setOrgnlCtrlSum

    public void setOrgnlCtrlSum​(java.math.BigDecimal value)

Sets the value of the orgnlCtrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getPmtInfSts

    public TransactionGroupStatusCodeSEPA getPmtInfSts()

Gets the value of the pmtInfSts property.

Returns:
  possible object is `TransactionGroupStatusCodeSEPA`

#### setPmtInfSts

    public void setPmtInfSts​(TransactionGroupStatusCodeSEPA value)

Sets the value of the pmtInfSts property.

Parameters:
  `value` - allowed object is `TransactionGroupStatusCodeSEPA`

#### getStsRsnInf

    public java.util.List<StatusReasonInformationSEPA> getStsRsnInf()

Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformationSEPA`

#### getTxInfAndSts

    public java.util.List<PaymentTransactionInformationSEPA> getTxInfAndSts()

Gets the value of the txInfAndSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the txInfAndSts property.

For example, to add a new item, do as follows:

        getTxInfAndSts().add(newItem);

Objects of the following type(s) are allowed in the list `PaymentTransactionInformationSEPA`